/* Styles généraux */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    line-height: 1.6;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.title {
    text-align: center;
    font-size: 2rem;
    margin-bottom: 20px;
    margin-top: 20px;
}

.container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: stretch;
    padding: 20px;
    gap: 20px;
}

/* Inversion pour la deuxième section */
.container.reversed {
    flex-direction: row-reverse;
}

.image-container {
    flex: 1;
}

.responsive-image {
    width: 100%;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}

.responsive-image2 {
    width: 100%;
    height: auto;
    border-radius: 60px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    border: 5px solid #afafaf;
}

.text-container,
.text-container2 {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: rgb(237, 212, 218);
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    margin-left: 25px;
    margin-right: 25px;
}

.text-container .subtitle,
.text-container2 .subtitle {
    text-align: center;
    width: 100%;
}

.subtitle {
    font-size: 1.8rem;
    font-weight: bold;
    color: #555;
    text-align: center;
}

.description {
    font-size: 2rem;
    color: #333;
    text-align: justify;
    margin-top: 25px;
}

.black-section {
    width: 100%;
    background-color: #bdbdbd;
    margin-top: 25px;
}

.seo {
    color: #f9f9f9;
}

/* Adaptation pour les téléphones */
@media screen and (max-width: 1680px) {
    .title {
        font-size: 1.5rem;
    }

    .subtitle {
        font-size: 1.7rem;
        text-align: center;
    }

    .description {
        font-size: 1.3rem;
    }

    .seo {
        font-size: 15px;
    }
}

@media screen and (max-width: 1580px) {
    .title {
        font-size: 1.5rem;
    }

    .subtitle {
        font-size: 1.4rem;
        text-align: center;
    }

    .description {
        font-size: 1.1rem;
    }

    .seo {
        font-size: 10px;
    }
}

@media screen and (max-width: 1280px) {
    .title {
        font-size: 1.5rem;
    }

    .subtitle {
        font-size: 1rem;
        text-align: center;
    }

    .description {
        font-size: 1rem;
    }

    .text-container,
    .text-container2 {
        max-width: 90%;
        margin: 0 auto;
    }
}

@media screen and (max-width: 1100px) {
    .container {
        flex-direction: column;
        gap: 10px;
        padding: 0;
    }

    .container2 {
        flex-direction: column;
        gap: 10px;
    }

    .container.reversed {
        flex-direction: column;
    }

    .container.reversed .image-container {
        order: 2;
    }

    .responsive-image {
        height: auto;
        padding: 20px;
        border-radius: 30px;
    }

    .responsive-image2 {
        height: auto;
    }

    .text-container,
    .text-container2 {
        height: auto;
    }

    .title {
        font-size: 1.5rem;
    }

    .subtitle {
        font-size: 1.2rem;
        text-align: center;
    }
}

@media screen and (max-width: 768px) {
    .seo {
        font-size: 7px;
    }
}